Ecosyste.ms: Advisories

An open API service providing security vulnerability metadata for many open source software ecosystems.

Security Advisories: MDE2OlNlY3VyaXR5QWR2aXNvcnlHSFNBLXF3cDktNTJoOC14Z2c4

Prototype pollution in JointJS

The package jointjs before 3.3.0 are vulnerable to Prototype Pollution via util.setByPath (https://resources.jointjs.com/docs/jointjs/v3.2/joint.htmlutil.setByPath). The path used the access the object's key and set the value is not properly sanitized, leading to a Prototype Pollution.

Permalink: https://github.com/advisories/GHSA-qwp9-52h8-xgg8
JSON: https://advisories.ecosyste.ms/api/v1/advisories/MDE2OlNlY3VyaXR5QWR2aXNvcnlHSFNBLXF3cDktNTJoOC14Z2c4
Source: GitHub Advisory Database
Origin: Unspecified
Severity: High
Classification: General
Published: over 3 years ago
Updated: over 1 year ago


Identifiers: GHSA-qwp9-52h8-xgg8, CVE-2020-28480
References: Repository: https://github.com/clientIO/joint
Blast Radius: 0.0

Affected Packages

npm:jointjs
Dependent packages: 81
Dependent repositories: 510
Downloads: 87,453 last month
Affected Version Ranges: < 3.3.0
Fixed in: 3.3.0
All affected versions: 0.7.0, 0.8.0, 0.9.4, 0.9.5, 0.9.7, 0.9.9, 0.9.10, 1.0.1, 1.0.2, 1.0.3, 1.1.0, 2.0.0, 2.0.1, 2.1.0, 2.1.1, 2.1.2, 2.1.3, 2.1.4, 2.2.0, 2.2.1, 3.0.0, 3.0.1, 3.0.2, 3.0.3, 3.0.4, 3.1.0, 3.1.1, 3.2.0
All unaffected versions: 3.3.0, 3.3.1, 3.4.0, 3.4.1, 3.4.2, 3.4.3, 3.4.4, 3.5.0, 3.5.1, 3.5.2, 3.5.3, 3.5.4, 3.5.5, 3.6.0, 3.6.1, 3.6.2, 3.6.3, 3.6.4, 3.6.5, 3.7.0, 3.7.1, 3.7.2, 3.7.3, 3.7.4, 3.7.5, 3.7.6, 3.7.7